## AgsPriority

AgsPriority — priority settings of Advanced Gtk+ Sequencer

## Stability Level

Stable, unless otherwise indicated

## Functions

#define | AGS_PRIORITY_GET_OBJ_MUTEX()
void | ags_priority_load_defaults ()
void | ags_priority_load_from_file ()
void | ags_priority_set_value ()
gchar * | ags_priority_get_value ()
AgsPriority * | ags_priority_get_instance ()
AgsPriority * | ags_priority_new ()

## Signals

char* | get-value | Run Last
void | load-defaults | Run Last
void | set-value | Run Last

## Types and Values

#define | AGS_TYPE_PRIORITY_FLAGS
#define | AGS_PRIORITY_DEFAULT_VERSION
#define | AGS_PRIORITY_DEFAULT_BUILD_ID
#define | AGS_PRIORITY_RT_THREAD
#define | AGS_PRIORITY_KEY_LIBAGS
#define | AGS_PRIORITY_KEY_SERVER_MAIN_LOOP
#define | AGS_PRIORITY_KEY_AUDIO_MAIN_LOOP
#define | AGS_PRIORITY_KEY_AUDIO
#define | AGS_PRIORITY_KEY_OSC_SERVER_MAIN_LOOP
#define | AGS_PRIORITY_KEY_GUI_MAIN_LOOP

## Object Hierarchy

        GObject
        ╰── AgsPriority

## Includes

    #include <ags/object/ags_priority.h>

## Description

AgsPriority provides priorities to Advanced Gtk+ Sequencer.

## Functions

### AGS_PRIORITY_GET_OBJ_MUTEX()

    #define AGS_PRIORITY_GET_OBJ_MUTEX(obj) (&(((AgsPriority *) obj)->obj_mutex))

### ags_priority_load_defaults ()

    void
    ags_priority_load_defaults (AgsPriority *priority);

Load priorities from default values.

#### Parameters

priority | the AgsPriority |

Since: 3.0.0

### ags_priority_load_from_file ()

    void
    ags_priority_load_from_file (AgsPriority *priority,
                                 gchar *filename);

Load priorities from `filename` .

#### Parameters

priority | the AgsPriority |
filename | the priorityuration file |

Since: 3.0.0

### ags_priority_set_value ()

    void
    ags_priority_set_value (AgsPriority *priority,
                            gchar *group,
                            gchar *key,
                            gchar *value);

Set priority by `group` and `key` , applying `value` .

#### Parameters

priority | the AgsPriority |
group | the priority group identifier |
key | the key of the property |
value | the value to set |

Since: 3.0.0

### ags_priority_get_value ()

    gchar *
    ags_priority_get_value (AgsPriority *priority,
                            gchar *group,
                            gchar *key);

Retrieve priority by `group` and `key` .

#### Parameters

priority | the AgsPriority |
group | the priority group identifier |
key | the key of the property |

#### Returns

the property's value.

[transfer full]

Since: 3.0.0

### ags_priority_get_instance ()

    AgsPriority *
    ags_priority_get_instance ();

Get priority instance.

#### Returns

the priority instance.

[transfer none]

Since: 3.0.0

### ags_priority_new ()

    AgsPriority *
    ags_priority_new ();

Create a new instance of AgsPriority.

#### Returns

the new AgsPriority.

Since: 3.0.0

## Types and Values

### AGS_TYPE_PRIORITY_FLAGS

    #define AGS_TYPE_PRIORITY_FLAGS          (ags_priority_flags_get_type())

### AGS_PRIORITY_DEFAULT_VERSION

    #define AGS_PRIORITY_DEFAULT_VERSION "2.4.2"

### AGS_PRIORITY_DEFAULT_BUILD_ID

    #define AGS_PRIORITY_DEFAULT_BUILD_ID "Mon Dec  2 08:15:02 UTC 2019"

### AGS_PRIORITY_RT_THREAD

    #define AGS_PRIORITY_RT_THREAD "rt-thread"

### AGS_PRIORITY_KEY_LIBAGS

    #define AGS_PRIORITY_KEY_LIBAGS "libags"

### AGS_PRIORITY_KEY_SERVER_MAIN_LOOP

    #define AGS_PRIORITY_KEY_SERVER_MAIN_LOOP "server-main-loop"

### AGS_PRIORITY_KEY_AUDIO_MAIN_LOOP

    #define AGS_PRIORITY_KEY_AUDIO_MAIN_LOOP "audio-main-loop"

### AGS_PRIORITY_KEY_AUDIO

    #define AGS_PRIORITY_KEY_AUDIO "audio"

### AGS_PRIORITY_KEY_OSC_SERVER_MAIN_LOOP

    #define AGS_PRIORITY_KEY_OSC_SERVER_MAIN_LOOP "osc-server-main-loop"

### AGS_PRIORITY_KEY_GUI_MAIN_LOOP

    #define AGS_PRIORITY_KEY_GUI_MAIN_LOOP "gui-main-loop"

## Signal Details

### The `“get-value”` signal

    char*
    user_function (AgsPriority *priority,
                   char        *group,
                   char        *key,
                   gpointer     user_data)

The ::get-value signal notifies about value been getting.

#### Parameters

priority | the object to resolve |
group | the group to retrieve from |
key | the key to get |
user_data | user data set when the signal handler was connected. |

#### Returns

the value

Flags: Run Last

Since: 3.0.0

### The `“load-defaults”` signal

    void
    user_function (AgsPriority *priority,
                   gpointer     user_data)

The ::load-defaults signal notifies about loading defaults

#### Parameters

priority | the object to resolve |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 3.0.0

### The `“set-value”` signal

    void
    user_function (AgsPriority *priority,
                   char        *group,
                   char        *key,
                   char        *value,
                   gpointer     user_data)

The ::set-value signal notifies about value been setting.

#### Parameters

priority | the object to resolve |
group | the group to apply to |
key | the key to set |
value | the value to apply |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

Since: 3.0.0